/**********************************************************************
Copyright (C) 2005 Mustek Corporation, All rights reserved
    
Filename: spicall_g.h   [Abstract: ]

Author: Jack            Date: 2005/05/13
	
Function Description:
	inform the global data
	
[Operative Environment:]

[Reference Articles:]

Revision History:
*********************************************************************/
#ifndef _SPICALL_G_2005_5_13_
#define _SPICALL_G_2005_5_13_

#include <pthread.h>
#include "../include/typedef.h"
#include "ScannerDefine.h"

////////////////////////////////
//global variable
////////////////////////////////

//base type
BOOL g_bOpened;		//=FALSE;
BOOL g_bPrepared;	//=FALSE;
BOOL g_isCanceled;	//=FALSE;
BOOL g_bSharpen;	//=FALSE;
BOOL g_bFirstReadImage;
BOOL g_isScanning;
BOOL g_isSelfGamma;

BYTE g_bScanBits;
BYTE* g_lpReadImageHead;

WORD s_wOpticalYDpi[] = {1200, 600, 300, 150, 75, 0};
WORD s_wOpticalXDpi[] = {1200, 600, 300, 150, 75, 0};
WORD g_X;
WORD g_Y;
WORD g_Width;
WORD g_Height;
WORD g_XDpi;
WORD g_YDpi;
WORD g_SWWidth;			// pixel
WORD g_SWHeight;		// pixel
WORD g_wPixelDistance;  //even & odd sensor problem
WORD g_wLineDistance;
//WORD g_wLeftSide;
//WORD g_wTopSide;
WORD g_wScanLinesPerBlock;
WORD g_wReadedLines;
WORD g_wReadImageLines;
WORD g_wReadyShadingLine; 
WORD g_wStartShadingLinePos; 
WORD g_wLineartThreshold;

DWORD g_wtheReadyLines;
DWORD g_wMaxScanLines;
DWORD g_dwScannedTotalLines;
DWORD g_dwImageBufferSize;
DWORD g_BytesPerRow;
DWORD g_SWBytesPerRow;
DWORD g_dwCalibrationSize;
DWORD g_dwBufferSize;

DWORD g_dwTotalTotalXferLines;

unsigned short * g_pGammaTable;	//=NULL;
char* g_pDeviceFile;			//=NULL;

pthread_t g_threadid_readimage;

//user define type
COLORMODE	g_ScanMode;
TARGETIMAGE g_tiTarget;
SCANTYPE	g_ScanType = ST_Reflective;
SCANSOURCE	g_ssScanSource;	// = SS_Reflective;
PIXELFLAVOR g_PixelFlavor;	// = PF_BlackIs0;

//struct
SUGGESTSETTING g_ssSuggest;
Asic g_chip;

#endif /* end of the file spicall_g.h */


