/**********************************************************************
Copyright (C) 2005 Mustek Corporation, All rights reserved
    
Filename: spicall_ex.h   [Abstract: ]

Author: Jack            Date: 2005/05/13
	
Function Description:
	Inform data in the Spicall

[Operative Environment:]

[Reference Articles:]

Revision History:
*********************************************************************/
#ifndef _SPICALL_EX_2005_5_13_
#define _SPICALL_EX_2005_5_13_

#include <pthread.h>
#include "../include/typedef.h"
#include "ScannerDefine.h"

////////////////////////////////
//global variable
////////////////////////////////

//base type
extern BOOL g_bOpened; //=FALSE;  // Marked by Dan 2003-4-9
extern BOOL g_bPrepared;
extern BOOL g_isCanceled;
extern BOOL g_bSharpen;
extern BOOL g_bFirstReadImage;
extern BOOL g_isScanning;
extern BOOL g_isSelfGamma;

extern BYTE	 g_bScanBits;
extern BYTE* g_lpReadImageHead;

extern WORD s_wOpticalYDpi[]; 
extern WORD s_wOpticalXDpi[]; 
extern WORD g_X;
extern WORD g_Y;
extern WORD g_Width;
extern WORD g_Height;
extern WORD g_XDpi;
extern WORD g_YDpi;
extern WORD g_SWWidth;		// pixel
extern WORD g_SWHeight;		// pixel
extern WORD g_wPixelDistance;  //even & odd sensor problem
extern WORD g_wLineDistance;
//extern WORD g_wLeftSide;
//extern WORD g_wTopSide;
extern WORD g_wScanLinesPerBlock;
extern WORD g_wReadedLines;
extern WORD g_wReadImageLines;
extern WORD g_wReadyShadingLine; 
extern WORD g_wStartShadingLinePos; 
extern WORD g_wLineartThreshold;

extern DWORD g_wtheReadyLines;
extern DWORD g_wMaxScanLines;
extern DWORD g_dwScannedTotalLines;
extern DWORD g_dwImageBufferSize;
extern DWORD g_BytesPerRow;
extern DWORD g_SWBytesPerRow;
extern DWORD g_dwCalibrationSize;
extern DWORD g_dwBufferSize;
extern DWORD g_dwTotalTotalXferLines;

extern unsigned short * g_pGammaTable;
extern char* g_pDeviceFile;

extern pthread_t g_threadid_readimage;

//user define type
extern COLORMODE	g_ScanMode;
extern TARGETIMAGE	g_tiTarget;
extern SCANTYPE		g_ScanType;
extern SCANSOURCE	g_ssScanSource;
extern PIXELFLAVOR	g_PixelFlavor;

//struct
extern SUGGESTSETTING g_ssSuggest;
extern Asic g_chip;

#endif /* end of the file spicall_ex.h */

